Skip to content
Snippets Groups Projects
configure 529 KiB
Newer Older
  • Learn to ignore specific revisions
  • #! /bin/sh
    # Guess values for system-dependent variables and create Makefiles.
    
    # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
    # 2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
    
    # This configure script is free software; the Free Software Foundation
    # gives unlimited permission to copy, distribute and modify it.
    ## --------------------- ##
    ## M4sh Initialization.  ##
    ## --------------------- ##
    
    
    # Be more Bourne compatible
    DUALCASE=1; export DUALCASE # for MKS sh
    
    if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
      emulate sh
      NULLCMD=:
    
      # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
    
      # is contrary to our usage.  Disable this feature.
      alias -g '${1+"$@"}'='"$@"'
    
      setopt NO_GLOB_SUBST
    else
      case `(set -o) 2>/dev/null` in
      *posix*) set -o posix ;;
    esac
    
    fi
    
    
    
    
    # PATH needs CR
    # Avoid depending upon Character Ranges.
    as_cr_letters='abcdefghijklmnopqrstuvwxyz'
    as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
    as_cr_Letters=$as_cr_letters$as_cr_LETTERS
    as_cr_digits='0123456789'
    as_cr_alnum=$as_cr_Letters$as_cr_digits
    
    as_nl='
    '
    export as_nl
    # Printing a long string crashes Solaris 7 /usr/bin/printf.
    as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
    as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
    as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
    if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
      as_echo='printf %s\n'
      as_echo_n='printf %s'
    else
      if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
        as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
        as_echo_n='/usr/ucb/echo -n'
      else
        as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
        as_echo_n_body='eval
          arg=$1;
          case $arg in
          *"$as_nl"*)
    	expr "X$arg" : "X\\(.*\\)$as_nl";
    	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
          esac;
          expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
        '
        export as_echo_n_body
        as_echo_n='sh -c $as_echo_n_body as_echo'
      fi
      export as_echo_body
      as_echo='sh -c $as_echo_body as_echo'
    fi
    
    # The user is always right.
    if test "${PATH_SEPARATOR+set}" != set; then
      PATH_SEPARATOR=:
      (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
        (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
          PATH_SEPARATOR=';'
      }
    
    fi
    
    # Support unset when possible.
    if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
      as_unset=unset
    else
      as_unset=false
    fi
    
    
    
    # IFS
    # We need space, tab and new line, in precisely that order.  Quoting is
    # there to prevent editors from complaining about space-tab.
    # (If _AS_PATH_WALK were called with IFS unset, it would disable word
    # splitting by setting IFS to empty value.)
    IFS=" ""	$as_nl"
    
    # Find who we are.  Look in the path if we contain no directory separator.
    case $0 in
      *[\\/]* ) as_myself=$0 ;;
      *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
    done
    IFS=$as_save_IFS
    
         ;;
    esac
    # We did not find ourselves, most probably we were run as `sh COMMAND'
    # in which case we are not to be found in the path.
    if test "x$as_myself" = x; then
      as_myself=$0
    fi
    if test ! -f "$as_myself"; then
      $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
      { (exit 1); exit 1; }
    fi
    
    
    # Work around bugs in pre-3.0 UWIN ksh.
    
    for as_var in ENV MAIL MAILPATH
    do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
    done
    
    PS1='$ '
    PS2='> '
    PS4='+ '
    
    # NLS nuisances.
    
    
    # Required to use basename.
    
    if expr a : '\(a\)' >/dev/null 2>&1 &&
       test "X`expr 00001 : '.*\(...\)'`" = X001; then
    
      as_expr=expr
    else
      as_expr=false
    fi
    
    
    if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
    
      as_basename=basename
    else
      as_basename=false
    fi
    
    
    # Name of the executable.
    
    $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
    	 X"$0" : 'X\(//\)$' \| \
    
    	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
    $as_echo X/"$0" |
        sed '/^.*\/\([^/][^/]*\)\/*$/{
    	    s//\1/
    	    q
    	  }
    	  /^X\/\(\/\/\)$/{
    	    s//\1/
    	    q
    	  }
    	  /^X\/\(\/\).*/{
    	    s//\1/
    	    q
    	  }
    	  s/.*/./; q'`
    
    if test "x$CONFIG_SHELL" = x; then
      if (eval ":") 2>/dev/null; then
      as_have_required=yes
    else
      as_have_required=no
    
      if test $as_have_required = yes &&	 (eval ":
    (as_func_return () {
      (exit \$1)
    }
    as_func_success () {
      as_func_return 0
    }
    as_func_failure () {
      as_func_return 1
    }
    as_func_ret_success () {
      return 0
    }
    as_func_ret_failure () {
      return 1
    }
    
    exitcode=0
    if as_func_success; then
      :
    else
      exitcode=1
      echo as_func_success failed.
    fi
    
    if as_func_failure; then
      exitcode=1
      echo as_func_failure succeeded.
    fi
    
    if as_func_ret_success; then
      :
    else
      exitcode=1
      echo as_func_ret_success failed.
    fi
    
    if as_func_ret_failure; then
      exitcode=1
      echo as_func_ret_failure succeeded.
    fi
    
    if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
      :
    else
      exitcode=1
      echo positional parameters were not saved.
    fi
    
    test \$exitcode = 0) || { (exit 1); exit 1; }
    
    (
      as_lineno_1=\$LINENO
      as_lineno_2=\$LINENO
      test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" &&
      test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; }
    ") 2> /dev/null; then
      :
    else
      as_candidate_shells=
    
        as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
    
    	   for as_base in sh bash ksh sh5; do
    	     as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
    	   done;;
           esac
    done
    IFS=$as_save_IFS
    
    
          for as_shell in $as_candidate_shells $SHELL; do
    	 # Try only shells that exist, to save several forks.
    	 if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
    		{ ("$as_shell") 2> /dev/null <<\_ASEOF
    if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
      emulate sh
      NULLCMD=:
      # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
      # is contrary to our usage.  Disable this feature.
      alias -g '${1+"$@"}'='"$@"'
      setopt NO_GLOB_SUBST
    else
      case `(set -o) 2>/dev/null` in
      *posix*) set -o posix ;;
    esac
    
    fi
    
    
    :
    _ASEOF
    }; then
      CONFIG_SHELL=$as_shell
    	       as_have_required=yes
    	       if { "$as_shell" 2> /dev/null <<\_ASEOF
    if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
      emulate sh
      NULLCMD=:
      # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
      # is contrary to our usage.  Disable this feature.
      alias -g '${1+"$@"}'='"$@"'
      setopt NO_GLOB_SUBST
    else
      case `(set -o) 2>/dev/null` in
      *posix*) set -o posix ;;
    esac
    
    fi
    
    
    :
    (as_func_return () {
      (exit $1)
    }
    as_func_success () {
      as_func_return 0
    }
    as_func_failure () {
      as_func_return 1
    }
    as_func_ret_success () {
      return 0
    }
    as_func_ret_failure () {
      return 1
    }
    
    exitcode=0
    if as_func_success; then
      :
    else
      exitcode=1
      echo as_func_success failed.
    fi
    
    if as_func_failure; then
      exitcode=1
      echo as_func_failure succeeded.
    fi
    
    if as_func_ret_success; then
      :
    else
      exitcode=1
      echo as_func_ret_success failed.
    fi
    
    if as_func_ret_failure; then
      exitcode=1
      echo as_func_ret_failure succeeded.
    fi
    
    if ( set x; as_func_ret_success y && test x = "$1" ); then
      :
    else
      exitcode=1
      echo positional parameters were not saved.
    fi
    
    test $exitcode = 0) || { (exit 1); exit 1; }
    
    (
    
      as_lineno_1=$LINENO
      as_lineno_2=$LINENO
      test "x$as_lineno_1" != "x$as_lineno_2" &&
    
      test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; }
    
    _ASEOF
    }; then
      break
    fi
    
    fi
    
          done
    
          if test "x$CONFIG_SHELL" != x; then
      for as_var in BASH_ENV ENV
    	do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
    	done
    	export CONFIG_SHELL
    	exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
    fi
    
    
        if test $as_have_required = no; then
      echo This script requires a shell more modern than all the
          echo shells that I found on your system.  Please install a
          echo modern shell, or manually run the script under such a
          echo shell if you do have one.
          { (exit 1); exit 1; }
    fi
    
    
    fi
    
    fi
    
    
    
    (eval "as_func_return () {
      (exit \$1)
    }
    as_func_success () {
      as_func_return 0
    }
    as_func_failure () {
      as_func_return 1
    }
    as_func_ret_success () {
      return 0
    }
    as_func_ret_failure () {
      return 1
    }
    
    exitcode=0
    if as_func_success; then
      :
    else
      exitcode=1
      echo as_func_success failed.
    fi
    
    if as_func_failure; then
      exitcode=1
      echo as_func_failure succeeded.
    fi
    
    if as_func_ret_success; then
      :
    else
      exitcode=1
      echo as_func_ret_success failed.
    fi
    
    if as_func_ret_failure; then
      exitcode=1
      echo as_func_ret_failure succeeded.
    fi
    
    if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
      :
    else
      exitcode=1
      echo positional parameters were not saved.
    fi
    
    test \$exitcode = 0") || {
      echo No shell found that supports shell functions.
      echo Please tell bug-autoconf@gnu.org about your system,
      echo including any error possibly output before this message.
      echo This can help us improve future autoconf versions.
      echo Configuration will now proceed without shell functions.
    }
    
    
    
      as_lineno_1=$LINENO
      as_lineno_2=$LINENO
      test "x$as_lineno_1" != "x$as_lineno_2" &&
      test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
    
    
      # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
      # uniformly replaced by the line number.  The first 'sed' inserts a
    
      # line-number line after each line using $LINENO; the second 'sed'
      # does the real work.  The second script uses 'N' to pair each
      # line-number line with the line containing $LINENO, and appends
      # trailing '-' during substitution so that $LINENO is not a special
      # case at line end.
    
      # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
    
      # scripts with optimization help from Paolo Bonzini.  Blame Lee
      # E. McMahon (1931-1989) for sed's syntax.  :-)
      sed -n '
        p
        /[$]LINENO/=
      ' <$as_myself |
    
          :loop
          s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
    
        ' >$as_me.lineno &&
    
      chmod +x "$as_me.lineno" ||
        { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
    
       { (exit 1); exit 1; }; }
    
      # Don't try to exec as it changes $[0], causing all sort of problems
      # (the dirname of $[0] is not the place where we might find the
    
      # original and so on.  Autoconf is especially sensitive to this).
      . "./$as_me.lineno"
    
      # Exit status is that of the last command.
      exit
    }
    
    
    
    if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
      as_dirname=dirname
    else
      as_dirname=false
    fi
    
    ECHO_C= ECHO_N= ECHO_T=
    case `echo -n x` in
    -n*)
      case `echo 'x\c'` in
      *c*) ECHO_T='	';;	# ECHO_T is single tab character.
      *)   ECHO_C='\c';;
      esac;;
    *)
      ECHO_N='-n';;
    esac
    if expr a : '\(a\)' >/dev/null 2>&1 &&
       test "X`expr 00001 : '.*\(...\)'`" = X001; then
    
      as_expr=expr
    else
      as_expr=false
    fi
    
    rm -f conf$$ conf$$.exe conf$$.file
    
    if test -d conf$$.dir; then
      rm -f conf$$.dir/conf$$.file
    else
      rm -f conf$$.dir
      mkdir conf$$.dir 2>/dev/null
    fi
    if (echo >conf$$.file) 2>/dev/null; then
      if ln -s conf$$.file conf$$ 2>/dev/null; then
    
        # ... but there are two gotchas:
        # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
        # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
        # In both cases, we have to default to `cp -p'.
        ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
          as_ln_s='cp -p'
      elif ln conf$$.file conf$$ 2>/dev/null; then
        as_ln_s=ln
      else
        as_ln_s='cp -p'
    
    rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
    rmdir conf$$.dir 2>/dev/null
    
    
    if mkdir -p . 2>/dev/null; then
      as_mkdir_p=:
    else
      test -d ./-p && rmdir ./-p
      as_mkdir_p=false
    fi
    
    
    if test -x / >/dev/null 2>&1; then
      as_test_x='test -x'
    else
      if ls -dL / >/dev/null 2>&1; then
        as_ls_L_option=L
      else
        as_ls_L_option=
      fi
      as_test_x='
        eval sh -c '\''
          if test -d "$1"; then
    	test -d "$1/.";
          else
    	case $1 in
    	-*)set "./$1";;
    	esac;
    	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
    	???[sx]*):;;*)false;;esac;fi
        '\'' sh
      '
    fi
    as_executable_p=$as_test_x
    
    
    # Sed expression to map a string onto a valid CPP name.
    as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
    
    # Sed expression to map a string onto a valid variable name.
    as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
    
    
    
    
    # Check that we are running under the correct shell.
    SHELL=${CONFIG_SHELL-/bin/sh}
    
    
    X*--fallback-echo)
      # Remove one level of quotation (which was required for Make).
    
      ECHO=`echo "$lt_ECHO" | sed 's,\\\\\$\\$0,'$0','`
    
    if test "X$1" = X--no-reexec; then
      # Discard the --no-reexec flag, and continue.
      shift
    elif test "X$1" = X--fallback-echo; then
      # Avoid inline document here, it may be left over
      :
    
    elif test "X`{ $ECHO '\t'; } 2>/dev/null`" = 'X\t' ; then
      # Yippee, $ECHO works!
    
      :
    else
      # Restart under the correct shell.
      exec $SHELL "$0" --no-reexec ${1+"$@"}
    fi
    
    if test "X$1" = X--fallback-echo; then
      # used as fallback echo
      shift
    
      exit 0
    fi
    
    # The HP-UX ksh and POSIX shell print the target directory to stdout
    # if CDPATH is set.
    (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
    
    
    if test -z "$lt_ECHO"; then
      if test "X${echo_test_string+set}" != Xset; then
        # find a string as large as possible, as long as the shell can cope with it
        for cmd in 'sed 50q "$0"' 'sed 20q "$0"' 'sed 10q "$0"' 'sed 2q "$0"' 'echo test'; do
          # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
          if { echo_test_string=`eval $cmd`; } 2>/dev/null &&
    	 { test "X$echo_test_string" = "X$echo_test_string"; } 2>/dev/null
          then
            break
          fi
        done
      fi
    
      if test "X`{ $ECHO '\t'; } 2>/dev/null`" = 'X\t' &&
         echo_testing_string=`{ $ECHO "$echo_test_string"; } 2>/dev/null` &&
         test "X$echo_testing_string" = "X$echo_test_string"; then
        :
      else
        # The Solaris, AIX, and Digital Unix default echo programs unquote
        # backslashes.  This makes it impossible to quote backslashes using
        #   echo "$something" | sed 's/\\/\\\\/g'
        #
        # So, first we look for a working echo in the user's PATH.
    
        lt_save_ifs="$IFS"; IFS=$PATH_SEPARATOR
        for dir in $PATH /usr/ucb; do
          IFS="$lt_save_ifs"
          if (test -f $dir/echo || test -f $dir/echo$ac_exeext) &&
             test "X`($dir/echo '\t') 2>/dev/null`" = 'X\t' &&
             echo_testing_string=`($dir/echo "$echo_test_string") 2>/dev/null` &&
             test "X$echo_testing_string" = "X$echo_test_string"; then
            ECHO="$dir/echo"
            break
          fi
        done
    
        if test "X$ECHO" = Xecho; then
          # We didn't find a better echo, so look for alternatives.
          if test "X`{ print -r '\t'; } 2>/dev/null`" = 'X\t' &&
             echo_testing_string=`{ print -r "$echo_test_string"; } 2>/dev/null` &&
             test "X$echo_testing_string" = "X$echo_test_string"; then
            # This shell has a builtin print -r that does the trick.
            ECHO='print -r'
          elif { test -f /bin/ksh || test -f /bin/ksh$ac_exeext; } &&
    	   test "X$CONFIG_SHELL" != X/bin/ksh; then
            # If we have ksh, try running configure again with it.
            ORIGINAL_CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
            export ORIGINAL_CONFIG_SHELL
            CONFIG_SHELL=/bin/ksh
            export CONFIG_SHELL
            exec $CONFIG_SHELL "$0" --no-reexec ${1+"$@"}
    
            # Try using printf.
            ECHO='printf %s\n'
            if test "X`{ $ECHO '\t'; } 2>/dev/null`" = 'X\t' &&
    	   echo_testing_string=`{ $ECHO "$echo_test_string"; } 2>/dev/null` &&
    	   test "X$echo_testing_string" = "X$echo_test_string"; then
    	  # Cool, printf works
    	  :
            elif echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
    	     test "X$echo_testing_string" = 'X\t' &&
    	     echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
    	     test "X$echo_testing_string" = "X$echo_test_string"; then
    	  CONFIG_SHELL=$ORIGINAL_CONFIG_SHELL
    	  export CONFIG_SHELL
    	  SHELL="$CONFIG_SHELL"
    	  export SHELL
    	  ECHO="$CONFIG_SHELL $0 --fallback-echo"
            elif echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
    	     test "X$echo_testing_string" = 'X\t' &&
    	     echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
    	     test "X$echo_testing_string" = "X$echo_test_string"; then
    	  ECHO="$CONFIG_SHELL $0 --fallback-echo"
            else
    	  # maybe with a smaller string...
    	  prev=:
    
    	  for cmd in 'echo test' 'sed 2q "$0"' 'sed 10q "$0"' 'sed 20q "$0"' 'sed 50q "$0"'; do
    	    if { test "X$echo_test_string" = "X`eval $cmd`"; } 2>/dev/null
    	    then
    	      break
    	    fi
    	    prev="$cmd"
    	  done
    
    	  if test "$prev" != 'sed 50q "$0"'; then
    	    echo_test_string=`eval $prev`
    	    export echo_test_string
    	    exec ${ORIGINAL_CONFIG_SHELL-${CONFIG_SHELL-/bin/sh}} "$0" ${1+"$@"}
    	  else
    	    # Oops.  We lost completely, so just stick with echo.
    	    ECHO=echo
    	  fi
            fi
    
          fi
        fi
      fi
    fi
    
    # Copy echo and quote the copy suitably for passing to libtool from
    # the Makefile, instead of quoting the original, which is used later.
    
    lt_ECHO=$ECHO
    if test "X$lt_ECHO" = "X$CONFIG_SHELL $0 --fallback-echo"; then
       lt_ECHO="$CONFIG_SHELL \\\$\$0 --fallback-echo"
    
    
    # Name of the host.
    # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
    # so uname gets run too.
    ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
    
    #
    # Initializations.
    #
    ac_default_prefix=/usr/local
    
    ac_config_libobj_dir=.
    
    cross_compiling=no
    subdirs=
    MFLAGS=
    MAKEFLAGS=
    SHELL=${CONFIG_SHELL-/bin/sh}
    
    # Identity of this package.
    PACKAGE_NAME=
    PACKAGE_TARNAME=
    PACKAGE_VERSION=
    PACKAGE_STRING=
    PACKAGE_BUGREPORT=
    
    # Factoring default headers for most tests.
    ac_includes_default="\
    #include <stdio.h>
    
    # include <sys/types.h>
    #endif
    
    # include <sys/stat.h>
    #endif
    
    # include <stdlib.h>
    # include <stddef.h>
    #else
    
    #  include <stdlib.h>
    # endif
    #endif
    
    #ifdef HAVE_STRING_H
    # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
    
    #  include <memory.h>
    # endif
    # include <string.h>
    #endif
    
    # include <strings.h>
    #endif
    
    # include <inttypes.h>
    #endif
    
    #ifdef HAVE_STDINT_H
    # include <stdint.h>
    #endif
    #ifdef HAVE_UNISTD_H
    
    # include <unistd.h>
    #endif"
    
    
    ac_subst_vars='LTLIBOBJS
    LIBOBJS
    CXXCPP
    CPP
    OTOOL64
    OTOOL
    LIPO
    NMEDIT
    DSYMUTIL
    lt_ECHO
    RANLIB
    AR
    OBJDUMP
    LN_S
    NM
    ac_ct_DUMPBIN
    DUMPBIN
    LD
    FGREP
    EGREP
    GREP
    SED
    host_os
    host_vendor
    host_cpu
    host
    build_os
    build_vendor
    build_cpu
    build
    LIBTOOL
    am__fastdepCXX_FALSE
    am__fastdepCXX_TRUE
    CXXDEPMODE
    ac_ct_CXX
    CXXFLAGS
    am__fastdepCC_FALSE
    am__fastdepCC_TRUE
    CCDEPMODE
    AMDEPBACKSLASH
    AMDEP_FALSE
    AMDEP_TRUE
    am__quote
    am__include
    DEPDIR
    OBJEXT
    EXEEXT
    ac_ct_CC
    CPPFLAGS
    LDFLAGS
    CFLAGS
    ENABLE_BOOST_FALSE
    ENABLE_BOOST_TRUE
    ENABLE_DUNE_FALSE
    ENABLE_DUNE_TRUE
    DUNE_DIR
    ENABLE_MKL_FALSE
    ENABLE_MKL_TRUE
    ENABLE_UMFPACK_FALSE
    ENABLE_UMFPACK_TRUE
    USE_PARALLEL_DOMAIN_AMDIS_FALSE
    USE_PARALLEL_DOMAIN_AMDIS_TRUE
    USE_PARALLEL_AMDIS_FALSE
    USE_PARALLEL_AMDIS_TRUE
    PETSC_DIR
    MPI_DIR
    OPENMP_FLAG
    AMDIS_OPENMP_FALSE
    AMDIS_OPENMP_TRUE
    AMDIS_INTEL_FALSE
    AMDIS_INTEL_TRUE
    CC
    CXX
    AMDIS_DEBUG_FALSE
    AMDIS_DEBUG_TRUE
    MAINT
    MAINTAINER_MODE_FALSE
    MAINTAINER_MODE_TRUE
    am__untar
    am__tar
    AMTAR
    am__leading_dot
    SET_MAKE
    AWK
    mkdir_p
    MKDIR_P
    INSTALL_STRIP_PROGRAM
    STRIP
    install_sh
    MAKEINFO
    AUTOHEADER
    AUTOMAKE
    AUTOCONF
    ACLOCAL
    VERSION
    PACKAGE
    CYGPATH_W
    am__isrc
    INSTALL_DATA
    INSTALL_SCRIPT
    INSTALL_PROGRAM
    target_alias
    host_alias
    build_alias
    LIBS
    ECHO_T
    ECHO_N
    ECHO_C
    DEFS
    mandir
    localedir
    libdir
    psdir
    pdfdir
    dvidir
    htmldir
    infodir
    docdir
    oldincludedir
    includedir
    localstatedir
    sharedstatedir
    sysconfdir
    datadir
    datarootdir
    libexecdir
    sbindir
    bindir
    program_transform_name
    prefix
    exec_prefix
    PACKAGE_BUGREPORT
    PACKAGE_STRING
    PACKAGE_VERSION
    PACKAGE_TARNAME
    PACKAGE_NAME
    PATH_SEPARATOR
    SHELL'
    
    ac_subst_files=''
    
    ac_user_opts='
    enable_option_checking
    enable_maintainer_mode
    enable_debug
    enable_intel
    enable_openmp
    with_mpi
    with_petsc
    enable_parmetis
    enable_parallel_domain
    enable_umfpack
    enable_mkl
    with_dune
    enable_boost
    enable_dependency_tracking
    enable_shared
    enable_static
    with_pic
    enable_fast_install
    with_gnu_ld
    enable_libtool_lock
    '
          ac_precious_vars='build_alias
    host_alias
    target_alias
    CC
    CFLAGS
    LDFLAGS
    LIBS
    CPPFLAGS
    CXX
    CXXFLAGS
    CCC
    CPP
    CXXCPP'
    
    
    
    # Initialize some variables set by options.
    ac_init_help=
    ac_init_version=false
    
    ac_unrecognized_opts=
    ac_unrecognized_sep=
    
    # The variables have the same names as the options, with
    # dashes changed to underlines.
    cache_file=/dev/null
    exec_prefix=NONE
    no_create=
    no_recursion=
    prefix=NONE
    program_prefix=NONE
    program_suffix=NONE
    program_transform_name=s,x,x,
    silent=
    site=
    srcdir=
    verbose=
    x_includes=NONE
    x_libraries=NONE
    
    # Installation directory options.
    # These are left unexpanded so users can "make install exec_prefix=/foo"
    # and all the variables that are supposed to be based on exec_prefix
    # by default will actually change.
    # Use braces instead of parens because sh, perl, etc. also accept them.
    
    # (The list follows the same order as the GNU Coding Standards.)
    
    bindir='${exec_prefix}/bin'
    sbindir='${exec_prefix}/sbin'
    libexecdir='${exec_prefix}/libexec'
    
    datarootdir='${prefix}/share'
    datadir='${datarootdir}'
    
    sysconfdir='${prefix}/etc'
    sharedstatedir='${prefix}/com'
    localstatedir='${prefix}/var'
    includedir='${prefix}/include'
    oldincludedir='/usr/include'
    
    docdir='${datarootdir}/doc/${PACKAGE}'